Update apple touch icon
Closed, ResolvedPublic1 Story Points

Description

Update the apple touch icon to incorporate brand guidelines.

  1. We use clean white background for app icons
  2. space around W has a guideline

Asset
160x160 crushed - 1.4kb


NOTE: click on the image to actually see the space around W, the phabricator img styling is adding white space around too.

space around W - guide we use in the app

Nirzar created this task.Dec 6 2016, 8:24 PM
Jdlrobson raised the priority of this task from "Low" to "Needs Triage".
Jdlrobson triaged this task as "Normal" priority.Dec 13 2016, 6:14 PM
Restricted Application added a subscriber: Matanya. ยท View Herald TranscriptDec 13 2016, 6:14 PM

Change 335689 had a related patch set uploaded (by Jdlrobson):
Update apple touch icon for Wikipedia

https://gerrit.wikimedia.org/r/335689

phuedx assigned this task to Jdlrobson.Feb 2 2017, 7:19 PM

Change 335689 merged by jenkins-bot:
Update apple touch icon for Wikipedia

https://gerrit.wikimedia.org/r/335689

Mentioned in SAL (#wikimedia-operations) [2017-02-03T00:33:37Z] <dereckson@tin> Synchronized static/apple-touch/wikipedia.png: Update apple touch icon for Wikipedia (T152538) (duration: 00m 39s)

@Nirzar just verified this myself by adding Wikipedia to my home screen but will leave for you to check and sign off.

Why icon is 144x144 and not 180x180 by the way?

https://developer.apple.com/ios/human-interface-guidelines/graphics/app-icon/ recommends 180x180 for Retina displays.

the icon is still old probably due to caching issues.

https://www.wikipedia.org/static/apple-touch/wikipedia.png

any way we can resolve that problem?

@Nirzar can you reply to @Dereckson comment above?
@Krinkle can you help me understand how caching works in the static directory (varnish seems to be caching the old asset) and how to remedy that/or how long it will apply for?

@Dereckson The icon is 160x160, you need 180 x 180 for 3x retina displays. 160 works for 2x and 2.5x i think there was only size concern but if you feel it's worth having 180, we can create follow up task. it's just keeping up with top tier density is painful. tomorrow apple will have 4x retina and they will update that page.

@Krinkle can you help me understand how caching works in the static directory (varnish seems to be caching the old asset) and how to remedy that/or how long it will apply for?

@Dereckson should have purged that as part of SWAT procedure. In general, cache maxage is upto 7 days.

phuedx closed this task as "Resolved".Feb 7 2017, 10:27 AM
phuedx added a subscriber: phuedx.

https://www.wikipedia.org/static/apple-touch/wikipedia.png is now 160px square as required ๐Ÿ‘

See T152538#2997798 for the rationale behind choosing 160px rather than >= 180px.